System 2.0.0.0 4.0.0.0 System.Object

The UriParser class enables you to create parsers for new URI schemes. You can write these parsers in their entirety, or the parsers can be derived from well-known schemes (HTTP, FTP, and other schemes based on network protocols). If you want to create a completely new parser, inherit from . If you want to create a parser that extends a well-known URI scheme, inherit from , , , , or .

Microsoft strongly recommends that you use a parser shipped with the .NET Framework. Building your own parser increases the complexity of your application, and will not perform as well as the shipped parsers.

Parses a new URI scheme. This is an abstract class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Constructs a default URI parser.

- Method
  2.0.0.0
  4.0.0.0
  System.String `` `` ``

  Use the method to determine the value of various parts of the URI, such as the , , or .

  The components are returned in the order that they appear in the URI. For example, if is specified, it appears first.

  Gets the components from a URI.

  A string that contains the components.

  The URI to parse. The to retrieve from . One of the values that controls how special characters are escaped.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether is a base URI for .

  true if is a base URI for ; otherwise, false.

  The base URI. The URI to test.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether the parser for a scheme is registered.

  true if has been registered; otherwise, false.

  The scheme name to check.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The method will return false if:

  The string is not correctly escaped per RFC 2396.

  The string represents an absolute URI that references an implicit file URI.

  The string represents an absolute URI that is missing a forward slash before the path component.

  The string contains unescaped backslashes, even if they will be treated as forward slashes.

  Indicates whether a URI is well-formed.

  true if is well-formed; otherwise, false.

  The URI to check.
- Method
  2.0.0.0
  4.0.0.0
  System.UriParser

  The default implementation returns the same instance. You may need to override this method and return a different for each invocation if you are operating in a multithreaded environment.

  Invoked by a constructor to get a instance

  A for the constructed .

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.Void `` `` To be added.

  Invoked by the Framework when a method is registered.

  The scheme that is associated with this . The port number of the scheme.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  If the parameter is set to -1, the method registers no default value for the port number.

  Associates a scheme and port number with a .

  The URI parser to register. The name of the scheme that is associated with this parser. The default port number for the specified scheme.
- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.String `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.